### Method

# Vips Target writes

#### Declaration [src]

    int
    vips_target_writes (
      VipsTarget* target,
      const char* str
    )

#### Description [src]

Write a null-terminated string to `target`.

#### Parameters

`str`

  Type: `const char*`

  String to write.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `int`

0 on success, and -1 on error.